### Virtual Method

# Gcr ImportInteraction supplement

#### Declaration [src]

    GTlsInteractionResult
    supplement (
      GcrImportInteraction* interaction,
      GckBuilder* builder,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Supplement attributes before import. This means prompting the user for things like labels and the like. The needed attributes will have been passed to gcr_import_interaction_supplement_prep().

This method prompts the user and fills in the attributes. If the user or cancellable cancels the operation the error should be set with `G_IO_ERROR_CANCELLED`.

#### Parameters

`builder` | `GckBuilder`
| Supplemented attributes.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellable object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GTlsInteractionResult`
| `G_TLS_INTERACTION_HANDLED` if successful or `G_TLS_INTERACTION_FAILED`.